For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Order
      • GETGet Shipment Logs
      • POSTMark Tracking Uploaded
      • GETGet All Shipments for Order
      • GETGet Order Store Data
      • POSTEstimate Fulfillment Cost For Order
      • GETGet Orders
      • POSTCreate Order
      • POSTCancel Shipment
      • POSTCancel Shipment by Order ID and Shipment ID
      • GETGet Shipping Methods
      • POSTCancel Order
      • GETGet Shipment Logs by Order ID and Shipment ID
      • GETGet Shipment Status Timeline by Order ID and Shipment ID
      • GETGet Shipment Timeline
      • GETGet Shipment
      • POSTBatch Cancel Shipments
      • GETGet Shipment by Order ID and Shipment ID
      • PUTBulk Update Shipping Service
      • POSTUpdate Shipment Line Items
      • PUTUpdate Shipment Address
      • GETGet Shipment Line Items
      • GETGet Completely Cancelled Orders
      • POSTEstimate Delivery Date
LogoLogo
API ReferenceOrders

Get Shipping Methods

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2026-01/shipping-method
GET
/2026-01/shipping-method
$curl -G https://sandbox-api.shipbob.com/2026-01/shipping-method \
> -H "Authorization: Bearer <token>" \
> -d Page=2147483647 \
> -d Limit=1
1[
2 {
3 "active": true,
4 "default": true,
5 "id": 0,
6 "name": "string",
7 "service_level": {
8 "id": 0,
9 "name": "string"
10 }
11 }
12]
Retrieves all available shipping methods configured for your merchant account.
Was this page helpful?
Previous

Cancel Shipment by Order ID and Shipment ID

Next

Cancel Order

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

PageintegerOptional0-2147483647
Page of orders to get
LimitintegerOptional1-250
Amount of records per page to request

Response

Success
activeboolean
Indicates if the shipping method is active
defaultboolean
Indicates the shipping method is a ShipBob default shipping method.
idinteger
Unique id for shipping method.
namestring

Name of the ship method as selected by the merchant and saved in ShipBob’s database (i.e. “ground”). Corresponds to the shipping_method field in the Orders API.

service_levelobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error